util/opensslwrap.sh: adjust to define OPENSSL_MODULES as well
authorRichard Levitte <levitte@openssl.org>
Mon, 15 Jul 2019 14:14:35 +0000 (16:14 +0200)
committerRichard Levitte <levitte@openssl.org>
Mon, 15 Jul 2019 14:14:35 +0000 (16:14 +0200)
Reviewed-by: Matt Caswell <matt@openssl.org>
(Merged from https://github.com/openssl/openssl/pull/9379)

util/opensslwrap.sh

index b27cbb8..7a38830 100755 (executable)
@@ -6,6 +6,9 @@ OPENSSL="${HERE}../apps/openssl"
 if [ -d "${HERE}../engines" -a "x$OPENSSL_ENGINES" = "x" ]; then
        OPENSSL_ENGINES="${HERE}../engines"; export OPENSSL_ENGINES
 fi
+if [ -d "${HERE}../providers" -a "x$OPENSSL_MODULES" = "x" ]; then
+       OPENSSL_MODULES="${HERE}../providers"; export OPENSSL_MODULES
+fi
 
 if [ -x "${OPENSSL}.exe" ]; then
        # The original reason for this script existence is to work around